fn main() {
    let arguments: Vec<String> = std::env::args().into_iter().collect();
    if arguments.len() < 3 {
        eprintln!("The nextcloud_folder and user arguments are required.");
        std::process::exit(-1);
    }
    let nextcloud_folder = &arguments[1];
    let user = &arguments[2];
    fake_sftp::packet::dispatch::loop_of_dispatch(nextcloud_folder, user);
}
