pub struct AttrsData {
    id: u32,
    attrs: u32,
    permission: u32,
}

impl AttrsData {
    pub fn new(id: u32, attrs: u32, permission: u32) -> AttrsData {
        AttrsData {
            id: id,
            attrs: attrs,
			permission: permission,
        }
    }

    pub fn serialize(&self) -> Vec<u8> {
        let mut serialized_data: Vec<u8> = Vec::new();
        serialized_data.extend(&self.id.to_be_bytes());
        serialized_data.extend(&self.attrs.to_be_bytes());
        serialized_data.extend(&self.permission.to_be_bytes());
        serialized_data
    }
}
